/*
 * Copyright (c) 2008, 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.sun.ts.tests.jpa.core.annotations.version;


import javax.persistence.*;

@Entity
@Table(name = "A_BASIC")
@Access(AccessType.FIELD)
public class ShortClass_Field implements java.io.Serializable {

    // ===========================================================
    // instance variables

    @Id
    protected String id;

    @Version
    protected Short basicShort;

    @Basic
    protected String name;

        // ===========================================================
    // constructors
    public ShortClass_Field() {
    }

    public ShortClass_Field(String id) {
        this.id = id;
    }

    public ShortClass_Field(String id, Short value) {
        
        this.id = id;
        this.basicShort = value;
    }


    public String getId() {
        return id;
    }
    
    public void setId(String id){
        this.id=id;       
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }


    public Short getVersion() {
        return this.basicShort;
    }

    public void setVersion(Short value) {
        this.basicShort = value;
    }

    public boolean equals(Object o) {
        ShortClass_Field other;
        boolean result = false;

        if (!(o instanceof ShortClass_Field)) {
            return result;
        }
        other = (ShortClass_Field) o;

        if (this.getId().equals(other.getId()) &&
                this.basicShort.equals(other.basicShort) &&
                this.name.equals(other.getName())
                ) {
            result = true;
        }

        return result;
    }


    public int hashCode() {
        int myHash;

        myHash = this.getId().hashCode() + this.basicShort +
                  this.name.hashCode();

        return myHash;
    }
    @Override
    public String toString() {
        StringBuilder result = new StringBuilder();
        result.append(this.getClass().getSimpleName() + "[");
        result.append("id: " + getId());
        result.append(", version: " + basicShort);
        result.append(", name: " + name);
        result.append("]");
        return result.toString();
    }
 }
